Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImporter Class Reference

`#include <vtkImporter.h>`

Inheritance diagram for vtkImporter:

[legend]
Collaboration diagram for vtkImporter:

[legend]
List of all members.

## Detailed Description

importer abstract class

Date:
  2002/05/27 15:01:50

Revision:
  1.24

vtkImporter is an abstract class that specifies the protocol for importing actors, cameras, lights and properties into a vtkRenderWindow. The following takes place: 1) Create a RenderWindow and Renderer if none is provided. 2) Call ImportBegin, if ImportBegin returns False, return 3) Call ReadData, which calls: a) Import the Actors b) Import the cameras c) Import the lights d) Import the Properties 7) Call ImportEnd

Subclasses optionally implement the ImportActors, ImportCameras, ImportLights and ImportProperties or ReadData methods. An ImportBegin and ImportEnd can optionally be provided to perform Importer-specific initialization and termination. The Read method initiates the import process. If a RenderWindow is provided, its Renderer will contained the imported objects. If the RenderWindow has no Renderer, one is created. If no RenderWindow is provided, both a RenderWindow and Renderer will be created. Both the RenderWindow and Renderer can be accessed using Get methods.

See also:
  vtk3DSImporter vtkExporter

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (62%)
  - Geveci, Berk (13%)
  - Martin, Ken (7%)
  - Schroeder, Will (7%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkImporter.cxx)`
  - .`h` (`/Rendering/vtkImporter.h)`

Definition at line 70 of file vtkImporter.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual vtkRenderer * | GetRenderer ()
virtual void | SetRenderWindow (vtkRenderWindow *)
virtual vtkRenderWindow * | GetRenderWindow ()
void | Read ()
void | Update ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImporter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImporter ()
| ~vtkImporter ()
virtual int | ImportBegin ()
virtual void | ImportEnd ()
virtual void | ImportActors (vtkRenderer *)
virtual void | ImportCameras (vtkRenderer *)
virtual void | ImportLights (vtkRenderer *)
virtual void | ImportProperties (vtkRenderer *)
virtual void | ReadData ()
## Protected Attributes
vtkRenderer * | Renderer
vtkRenderWindow * | RenderWindow

## Member Typedef Documentation

typedef vtkObject vtkImporter::Superclass

| Reimplemented from vtkObject. Reimplemented in vtk3DSImporter, and vtkVRMLImporter. Definition at line 73 of file vtkImporter.h.

## Constructor & Destructor Documentation

vtkImporter::vtkImporter | ( |  | ) | `[protected]`

vtkImporter::~vtkImporter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImporter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtk3DSImporter, and vtkVRMLImporter.

int vtkImporter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtk3DSImporter, and vtkVRMLImporter.

virtual int vtkImporter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtk3DSImporter, and vtkVRMLImporter.

vtkImporter* vtkImporter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtk3DSImporter, and vtkVRMLImporter.

void vtkImporter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtk3DSImporter, and vtkVRMLImporter.

virtual vtkRenderer* vtkImporter::GetRenderer | ( |  | ) | `[virtual]`

| Get the renderer that contains the imported actors, cameras and lights.

virtual void vtkImporter::SetRenderWindow | ( | vtkRenderWindow * |  | ) | `[virtual]`

| Set the vtkRenderWindow to contain the imported actors, cameras and lights, If no vtkRenderWindow is set, one will be created and can be obtained with the GetRenderWindow method. If the vtkRenderWindow has been specified, the first vtkRenderer it has will be used to import the objects. If the vtkRenderWindow has no Renderer, one will be created and can be accessed using GetRenderer.

virtual vtkRenderWindow* vtkImporter::GetRenderWindow | ( |  | ) | `[virtual]`

| Set the vtkRenderWindow to contain the imported actors, cameras and lights, If no vtkRenderWindow is set, one will be created and can be obtained with the GetRenderWindow method. If the vtkRenderWindow has been specified, the first vtkRenderer it has will be used to import the objects. If the vtkRenderWindow has no Renderer, one will be created and can be accessed using GetRenderer.

void vtkImporter::Read | ( |  | ) |

| Import the actors, cameras, lights and properties into a vtkRenderWindow.

void vtkImporter::Update | ( | void |  | ) | `[inline]`

| Import the actors, cameras, lights and properties into a vtkRenderWindow. Definition at line 99 of file vtkImporter.h.

virtual int vtkImporter::ImportBegin | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in vtk3DSImporter, and vtkVRMLImporter. Definition at line 107 of file vtkImporter.h.

virtual void vtkImporter::ImportEnd | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in vtk3DSImporter, and vtkVRMLImporter. Definition at line 108 of file vtkImporter.h.

virtual void vtkImporter::ImportActors | ( | vtkRenderer * |  | ) | `[inline, protected, virtual]`

| Reimplemented in vtk3DSImporter, and vtkVRMLImporter. Definition at line 109 of file vtkImporter.h.

virtual void vtkImporter::ImportCameras | ( | vtkRenderer * |  | ) | `[inline, protected, virtual]`

| Reimplemented in vtk3DSImporter, and vtkVRMLImporter. Definition at line 110 of file vtkImporter.h.

virtual void vtkImporter::ImportLights | ( | vtkRenderer * |  | ) | `[inline, protected, virtual]`

| Reimplemented in vtk3DSImporter, and vtkVRMLImporter. Definition at line 111 of file vtkImporter.h.

virtual void vtkImporter::ImportProperties | ( | vtkRenderer * |  | ) | `[inline, protected, virtual]`

| Reimplemented in vtk3DSImporter, and vtkVRMLImporter. Definition at line 112 of file vtkImporter.h.

virtual void vtkImporter::ReadData | ( |  | ) | `[protected, virtual]`

## Member Data Documentation

vtkRenderer* vtkImporter::Renderer`[protected]`

| Definition at line 114 of file vtkImporter.h.

vtkRenderWindow* vtkImporter::RenderWindow`[protected]`

| Definition at line 115 of file vtkImporter.h.

The documentation for this class was generated from the following file:

- Rendering/vtkImporter.h